//###########################################################
// fontsoft.h
//
//###########################################################
// 10.12.2007
//###########################################################
//Compiler: AVR-GCC 3.4.5
//###########################################################

#ifndef __FONTSOFT_H
#define __FONTSOFT_H

#define FIXED_FONT	1
#define PROP_FONT	2

#define PROP_FONT_HEADER_SIZE	6

// Hier die FONTS nach Namen eintragen. Wie man den Font nennt ist egal.
// In fontsoft.c dann bei SetFont() den Pointer zum Font mit einer
// case Anweisung hinzufgen. Umschalten mit z.B. SetFont(ARIAL_14_BOLD);
enum {
      FIX_FONT5X7,
      FIX_FONT6X8,
      FIX_FONT12X16,
      ARIAL_14_BOLD,
      ARIAL_24_BOLD,
      COMIC_32,
      CORSIVA_12,
      IMPACT_32,
      END_FONT_LIST // Fonts nur VOR dieser Zeile einfgen
     };

extern void SetFont(unsigned char num);
extern void LCDChar(char ch, unsigned char xpos, unsigned char ypos);
extern void LCDCharV(char ch, unsigned char xpos, unsigned char ypos);
extern void LCDText(char *__putstr, unsigned char xpos, unsigned char ypos);
extern void LCDTextV(char *__putstr, unsigned char xpos, unsigned char ypos);
extern void ShowSoftFont(unsigned char num);
extern void ShowSoftFontV(unsigned char num);

extern unsigned char xtextcursor,ytextcursor;
extern void SetTextCursor(unsigned char x, unsigned char y);

#endif
